import { Tokens } from '@salesforce/core/lib/messages';
export declare enum BundleName {
    ActionSummaryViewer = "action-summary-viewer",
    ConfigCommand = "config-command",
    ConfigModel = "config-model",
    ConfigWriter = "config-writer",
    PathStartUtil = "path-start-util",
    ProgressEventListener = "progress-event-listener",
    ResultsViewer = "results-viewer",
    RuleViewer = "rule-viewer",
    RulesCommand = "rules-command",
    ResultsWriter = "results-writer",
    RunAction = "run-action",
    RunCommand = "run-command",
    RunSummaryViewer = "run-summary-viewer",
    Shared = "shared",
    WorkspaceUtil = "workspace-util"
}
export declare function getMessage(bundle: BundleName, messageKey: string, tokens?: Tokens): string;
export declare function getMessages(bundle: BundleName, messageKey: string, tokens?: Tokens): string[];
