import { RunResults } from '@salesforce/code-analyzer-core';
import { Display } from '../Display';
export interface RunSummaryViewer {
    view(results: RunResults, logFile: string, outfiles: string[]): void;
}
export declare class RunSummaryDisplayer implements RunSummaryViewer {
    protected display: Display;
    constructor(display: Display);
    view(results: RunResults, logFile: string, outfiles: string[]): void;
    private displayResultsSummary;
    private displayOutfiles;
}
