import { ConfigModel } from '../models/ConfigModel';
import { Display } from '../Display';
export interface ConfigWriter {
    write(model: ConfigModel): Promise<boolean>;
}
export declare class ConfigFileWriter implements ConfigWriter {
    private readonly file;
    private readonly format;
    private readonly display;
    private constructor();
    write(model: ConfigModel): Promise<boolean>;
    static fromFile(file: string, display: Display): ConfigFileWriter;
}
